PDA

View Full Version : ATI and FBO support



Mars_999
10-12-2005, 07:20 PM
I have both a 6800GT desktop card, and a x700 Mobility in my laptop. When I run my FBO code on my Nivida card with GL_DEPTH_COMPONENT32 no problems. When on my ATI card I have to revert to GL_DEPTH_COMPONENT to render the image without blackness in the render to texture process. What gives or will/when will ATI fix this? Has it been reported?

spasi
10-13-2005, 06:02 AM
First of all DEPTH_COMPONENT32 is not supported on NV cards either, it is substituted by DEPTH_COMPONENT24.

On ATI cards DEPTH_COMPONENT24 isn't supported with FBO on anything less than RV530 (R520 included). You'll have to use DEPTH_COMPONENT16.

Mars_999
10-13-2005, 08:03 AM
Well the driver must drop it to 16bit.

Overmind
10-14-2005, 02:21 AM
I don't think so. The driver could just return UNSUPPORTED.

Humus
10-14-2005, 02:37 PM
Is this for shadow maps (only depth, no colorbuffer)? If so, then use DEPTH_COMPONENT16. Otherwise, use either DEPTH_COMPONENT16 or DEPTH_COMPONENT24.

Mars_999
10-15-2005, 05:58 AM
No its a depth buffer for reflections/refraction and a color texture for the reflection. I have tried the 24 suffix and got nothing. I had to use the standard DEPTH_COMPONENT to get it to work on my x700 mobility. I am using the 5.9 drivers from driverheaven

dmoc
10-15-2005, 06:11 AM
Mars, can't help with your prob but just wondering what the make of your notebook is? Mine is a Targa Traveller with an X700. Reason I ask is Targa say they have no plans for gfx driver updates and with ATI saying there's will only install on certain machines I'm wondering what my options are for getting ogl2 drivers?

Mars_999
10-15-2005, 09:04 AM
go here
http://www.driverheavendownloads.net/ati.htm

and DL these ATI Catalyst 5.9 Mobility drivers

dmoc
10-25-2005, 05:37 PM
Thanks for the link